package client;

import net.ConnectionInfo;
import net.TimeoutLimitException;

public class AuxThread extends Thread{
	private ClientGuiListener listener;
	private FachadaClient fachada;
	private ConnectionInfo ci;
	private String msg;
	public AuxThread(ClientGuiListener listener, FachadaClient fachada, ConnectionInfo ci, String msg){
		this.listener = listener;
		this.fachada = fachada;
		this.ci = ci;
		this.msg = msg;
	}
	
	public void run(){
		try {
			fachada.sendMsg(msg, ci, listener);
		} catch (TimeoutLimitException e) {
			this.listener.error(e);
		}
	}

}
